tigase.jaxmpp.j2se.filetransfer

## Interface FileTransferNegotiator

- All Superinterfaces:
    ContextAware
  All Known Implementing Classes:
    FileTransferNegotiatorAbstract, JingleFileTransferNegotiator, Socks5FileTransferNegotiator

      public interface FileTransferNegotiator
      extends ContextAware

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FileTransferNegotiator.NegotiationFailureHandler`
    `static interface` | `FileTransferNegotiator.NegotiationRejectHandler`
    `static interface` | `FileTransferNegotiator.NegotiationRequestHandler`
    `static interface` | `FileTransferNegotiator.NegotiationSuccessHandler`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `String[]` | `getFeatures()`
    `boolean` | `isSupported(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `registerListeners(JaxmppCore jaxmpp)`
    `void` | `rejectFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `sendFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `unregisterListeners(JaxmppCore jaxmpp)`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.modules.ContextAware

      `setContext`

- - ### Method Detail

    - #### acceptFile

          void acceptFile(JaxmppCore jaxmpp,
                          FileTransfer ft)
                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getFeatures

          String[] getFeatures()

    - #### isSupported

          boolean isSupported(JaxmppCore jaxmpp,
                              FileTransfer ft)

    - #### registerListeners

          void registerListeners(JaxmppCore jaxmpp)

    - #### rejectFile

          void rejectFile(JaxmppCore jaxmpp,
                          FileTransfer ft)
                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendFile

          void sendFile(JaxmppCore jaxmpp,
                        FileTransfer ft)
                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### unregisterListeners

          void unregisterListeners(JaxmppCore jaxmpp)

Copyright © 2006–2023 Tigase. All rights reserved.